# Uses of Class
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.Curve

Packages that use Curve
Package
Description
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

## Uses of Curve in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math that return Curve
Modifier and Type
Method
Description
`Curve`
GroupElement.`getCurve()`
Gets the curve of the group element.
Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type Curve
Modifier and Type
Method
Description
`static GroupElement`
GroupElement.`cached(Curve curve, FieldElement YpX, FieldElement YmX, FieldElement Z, FieldElement T2d)`
Creates a new group element in CACHED representation.
`boolean`
GroupElement.`isOnCurve(Curve curve)`
Verify that a point is on the curve.
`static GroupElement`
GroupElement.`p1p1(Curve curve, FieldElement X, FieldElement Y, FieldElement Z, FieldElement T)`
Creates a new group element in P1P1 representation.
`static GroupElement`
GroupElement.`p2(Curve curve, FieldElement X, FieldElement Y, FieldElement Z)`
Creates a new group element in P2 representation.
`static GroupElement`
GroupElement.`p3(Curve curve, FieldElement X, FieldElement Y, FieldElement Z, FieldElement T)`
Creates a new group element in P3 representation.
`static GroupElement`
GroupElement.`precomp(Curve curve, FieldElement ypx, FieldElement ymx, FieldElement xy2d)`
Creates a new group element in PRECOMP representation.
Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type Curve
Modifier
Constructor
Description
``
`GroupElement(Curve curve, byte[] s)`
Creates a group element for a curve from a given encoded point.
``
`GroupElement(Curve curve, GroupElement.Representation repr, FieldElement X, FieldElement Y, FieldElement Z, FieldElement T)`
Creates a group element for a curve.

## Uses of Curve in org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec that return Curve
Modifier and Type
Method
Description
`Curve`
EdDSAParameterSpec.`getCurve()`
Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec with parameters of type Curve
Modifier
Constructor
Description
``
`EdDSANamedCurveSpec(String name, Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`
``
`EdDSAParameterSpec(Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`